## org.eclipse.datatools.modelbase.sql.query
Interface UpdatabilityExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface UpdatabilityExpression

extends SQLQueryObject

A representation of the model object 'Updatability Expression'.

The following features are supported:

- `Updatability Type`
- `Update Of Column List`
- `Select Statement`

See Also:
  `SQLQueryModelPackage.getUpdatabilityExpression()`

Method Summary
`QuerySelectStatement` `getSelectStatement()` Returns the value of the 'Select Statement' container reference.
`UpdatabilityType` `getUpdatabilityType()` Returns the value of the 'Updatability Type' attribute.
`org.eclipse.emf.common.util.EList` `getUpdateOfColumnList()` Returns the value of the 'Update Of Column List' containment reference list.
`void` `setSelectStatement(QuerySelectStatement value)` Sets the value of the '`Select Statement`' container reference.
`void` `setUpdatabilityType(UpdatabilityType value)` Sets the value of the '`Updatability Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUpdatabilityType

    UpdatabilityType getUpdatabilityType()

  Returns the value of the 'Updatability Type' attribute. The literals are from the enumeration `UpdatabilityType`.

  If the meaning of the 'Updatability Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Updatability Type' attribute.
  See Also:
    `UpdatabilityType`, `setUpdatabilityType(UpdatabilityType)`, `SQLQueryModelPackage.getUpdatabilityExpression_UpdatabilityType()`

### setUpdatabilityType

    void setUpdatabilityType(UpdatabilityType value)

  Sets the value of the '`Updatability Type`' attribute.

  Parameters:
    `value` - the new value of the 'Updatability Type' attribute.
  See Also:
    `UpdatabilityType`, `getUpdatabilityType()`

### getUpdateOfColumnList

    org.eclipse.emf.common.util.EList getUpdateOfColumnList()

  Returns the value of the 'Update Of Column List' containment reference list. The list contents are of type `UpdateOfColumn`. It is bidirectional and its opposite is '`Updatability Expr`'.

  If the meaning of the 'Update Of Column List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Of Column List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getUpdatabilityExpression_UpdateOfColumnList()`, `UpdateOfColumn.getUpdatabilityExpr()`

### getSelectStatement

    QuerySelectStatement getSelectStatement()

  Returns the value of the 'Select Statement' container reference. It is bidirectional and its opposite is '`Updatability Expr`'.

  If the meaning of the 'Select Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Select Statement' container reference.
  See Also:
    `setSelectStatement(QuerySelectStatement)`, `SQLQueryModelPackage.getUpdatabilityExpression_SelectStatement()`, `QuerySelectStatement.getUpdatabilityExpr()`

### setSelectStatement

    void setSelectStatement(QuerySelectStatement value)

  Sets the value of the '`Select Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Select Statement' container reference.
  See Also:
    `getSelectStatement()`